What version of BDE

I am using Delphi version 3.02, that is I installed 3.01 and patched it
into 3.02.  When I load the BDE Administrator and use Help | About it
shows that I have BDE administrator version 4.00.

I am interested in TUtility.dll for Paradox repair.  Borland Online
Developer Support advises that the version of TUtility should match the
version of the BDE.  As well as TUtiliy v4.0 there is v4.01.  Since I
have the latest version of Delphi, how come I don't have the latest
version of the BDE?

TIA

Regards

--
David Sharples